Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class PropertyBinder

    java.lang.Object
      org.hibernate.cfg.annotations.PropertyBinder

    public class PropertyBinder

extends Object

Author:
  Emmanuel Bernard

Constructor Summary
`PropertyBinder()`

Method Summary
`org.hibernate.mapping.Property` | `bind()`
`org.hibernate.mapping.Property` | `make()`
`void` | `setCascade(String cascadeStrategy)`
`void` | `setColumns(Ejb3Column[] columns)`
`void` | `setHolder(PropertyHolder holder)`
`void` | `setInsertable(boolean insertable)`
`void` | `setLazy(boolean lazy)`
`void` | `setMappings(ExtendedMappings mappings)`
`void` | `setName(String name)`
`void` | `setProperty(org.hibernate.annotations.common.reflection.XProperty property)`
`void` | `setPropertyAccessorName(String propertyAccessorName)`
`void` | `setReturnedClass(org.hibernate.annotations.common.reflection.XClass returnedClass)`
`void` | `setReturnedClassName(String returnedClassName)`
`void` | `setUpdatable(boolean updatable)`
`void` | `setValue(org.hibernate.mapping.Value value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyBinder

    public PropertyBinder()

Method Detail

### setInsertable

    public void setInsertable(boolean insertable)

### setUpdatable

    public void setUpdatable(boolean updatable)

### setName

    public void setName(String name)

### setReturnedClassName

    public void setReturnedClassName(String returnedClassName)

### setLazy

    public void setLazy(boolean lazy)

### setPropertyAccessorName

    public void setPropertyAccessorName(String propertyAccessorName)

### setColumns

    public void setColumns(Ejb3Column[] columns)

### setHolder

    public void setHolder(PropertyHolder holder)

### setValue

    public void setValue(org.hibernate.mapping.Value value)

### setCascade

    public void setCascade(String cascadeStrategy)

### setMappings

    public void setMappings(ExtendedMappings mappings)

### bind

    public org.hibernate.mapping.Property bind()

### make

    public org.hibernate.mapping.Property make()

### setProperty

    public void setProperty(org.hibernate.annotations.common.reflection.XProperty property)

### setReturnedClass

    public void setReturnedClass(org.hibernate.annotations.common.reflection.XClass returnedClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD